> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Payment Links



## OpenAPI

````yaml openapi.json patch /payment-link/details
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payment-link/details:
    parameters: []
    patch:
      tags:
        - Payment Link
      summary: Edit Payment Links
      parameters: []
      requestBody:
        content:
          application/json:
            schema: {}
            example: null
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '68'
            ETag:
              schema:
                type: string
              example: W/"44-9uVQFXm3HT8tEZzl2YUZlgl5KrE"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 21 Nov 2023 12:17:44 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Edit Payment Links
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      bearer:
                        type: string
                      email:
                        nullable: true
                      logo:
                        type: string
                        format: uri
                      hasPaid:
                        type: boolean
                      customerName:
                        nullable: true
                      link:
                        type: string
                      channel:
                        type: string
                      callbackURL:
                        nullable: true
                      webhookURL:
                        nullable: true
                      description:
                        type: string
                      mode:
                        type: string
                      requiresName:
                        type: boolean
                      requiresPhone:
                        type: boolean
                      supportCard:
                        type: boolean
                      supportBankTransfer:
                        type: boolean
                      status:
                        type: string
                      amount:
                        type: integer
                      reference:
                        type: string
                      phoneNumber:
                        nullable: true
                      transaction:
                        nullable: true
                      merchantId:
                        type: string
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      deletedAt:
                        nullable: true
              example:
                status: true
                message: Payment information successfully updated
                data:
                  id: 2ac8a9cc-b56e-4575-ae65-6fbe05e45a74
                  name: Tester one updated
                  bearer: account
                  email: null
                  logo: >-
                    https://d26vslh4lbgfdh.cloudfront.net/NSNsBRjFIFHaXwQe5hAroWplA_base64.jpg
                  hasPaid: false
                  customerName: null
                  link: Czzf2U43dKkgy2nYJ8OBt8Xtn187POByKYqo
                  channel: WEB
                  callbackURL: null
                  webhookURL: null
                  description: A testing payment link updated
                  mode: SANDBOX
                  requiresName: true
                  requiresPhone: true
                  supportCard: false
                  supportBankTransfer: true
                  status: ACTIVE
                  amount: 1000
                  reference: AbsSg12DP4e6OVbQaAnSvpkBZzvdD3TM5tK7
                  phoneNumber: null
                  transaction: null
                  merchantId: 9807b62f-0d46-4859-9c04-d99a84ac4a2e
                  createdAt: '2024-09-04T09:37:43.534Z'
                  updatedAt: '2024-09-04T09:48:37.919Z'
                  deletedAt: null
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````